#ifndef OPTIONSWINDOW_H
#define OPTIONSWINDOW_H

#include <QDialog>
class QLineEdit;
class Options;
class Area;
class QRadioButton;
class QAbstractButton;

class OptionsWindow : public QDialog
{
	Q_OBJECT
	public:
		OptionsWindow( Area *a );

		QLineEdit *w;
		QLineEdit *h;
		QLineEdit *field_size;
		QLineEdit *accuracy;

		QLineEdit *internval;
		
		QLineEdit *rx;
		QLineEdit *lx;
		QLineEdit *ty;
		QLineEdit *dy;
		QLineEdit *fade;
		QLineEdit *burn;

		QLineEdit *none_value;

		QRadioButton *none;
		QRadioButton *torus;
		QRadioButton *strange_a;
		QRadioButton *strange_b;

	private:
		void createCanvasSettings( QWidget *box, Area *a );
		void createAnimationSettings( QWidget *box );
		void createAlgorithmSettings( QWidget *box );
	
	private slots:
		void checkConstant( QAbstractButton *button );

		void saveOptions();
};

#endif
